Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
Class Upload

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.Upload

    class Upload
    extends ConventionTask

An upload task uploads files to the repositories assigned to it. The files that get uploaded are the artifacts of your project, if they belong to the configuration associated with the upload task.

author:
  Hans Dockter

Constructor Summary
`Upload(Project project, java.lang.String name)`

Method Summary
`Configuration` | `getConfiguration()`
`File` | `getDescriptorDestination()`
`RepositoryHandler` | `getRepositories()`
`boolean` | `isUploadDescriptor()`
`RepositoryHandler` | `repositories(Closure configureClosure)`
`void` | `setConfiguration(Configuration configuration)`
`void` | `setDescriptorDestination(File descriptorDestination)`
`void` | `setRepositories(RepositoryHandler repositories)`
`void` | `setUploadDescriptor(boolean uploadDescriptor)`

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### Upload

    public Upload(Project project, java.lang.String name)

Method Detail

### getConfiguration

    public Configuration getConfiguration()

### getDescriptorDestination

    public File getDescriptorDestination()

### getRepositories

    public RepositoryHandler getRepositories()

### isUploadDescriptor

    public boolean isUploadDescriptor()

### repositories

    public RepositoryHandler repositories(Closure configureClosure)

### setConfiguration

    public void setConfiguration(Configuration configuration)

### setDescriptorDestination

    public void setDescriptorDestination(File descriptorDestination)

### setRepositories

    public void setRepositories(RepositoryHandler repositories)

### setUploadDescriptor

    public void setUploadDescriptor(boolean uploadDescriptor)

Groovy Documentation